/*
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2001 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Wojciech Meler			                          |
   +----------------------------------------------------------------------+
*/

#ifndef PHP_JABBER_H
#define PHP_JABBER_H

#include "php.h"
#include "../../../wpphp.h"

typedef struct {
  php_packet packet;
  void *parser;
} php_jabber_globals;

#ifdef ZTS
extern int jabber_globals_id;
#define JG(v) TSRMG(jabber_globals_id, php_jabber_globals *, v)
#else
#error "only ZTS mode allowed"
#endif

#endif
